<template>
    <div class="columns has-small-padding has-vpadding is-mobile">
        <div class="column is-one-quarter-fullhd is-one-third-desktop is-half-tablet is-vpaddingless has-small-hpadding" id="side">
            <Menu />
        </div>
        <div class="column has-small-hpadding is-vpaddingless">
            <Map />
        </div>
    </div>
</template>

<script lang="ts">
    import { Component, Vue } from 'vue-property-decorator';
    import { State } from 'vuex-class';
    import Map from '@/components/Map.vue';
    import Menu from '@/components/Menu.vue';

    import { Mapview } from '@/ts/mapview';

    @Component({
        components: {
            Menu,
            Map,
        },
    })
    export default class Main extends Vue {
        @State('map') private map!: Mapview;

        private mounted(): void {
            this.map.init();
        }
    }
</script>

<style scoped>
    .columns {
        height: 100vh;
    }

    .column {
        overflow: auto;
    }
</style>

